apiVersion: v1
kind: Secret
metadata:
  name: cb-example-auth
type: Opaque
data:
  username: QWRtaW5pc3RyYXRvcg== # Administrator
  password: ZHluYW0xdGU=         # dynam1te
---
apiVersion: couchbase.com/v2
kind: CouchbaseBucket
metadata:
  name: default
---
apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example2
spec:
  image: couchbase/server:enterprise-6.5.1
  security:
    adminSecret: cb-example-auth
  buckets:
    managed: true
  servers:
  - size: 3
    name: all_services
    services:
    - data
    - analytics
    volumeMounts:
      default: couchbase
  volumeClaimTemplates:
  - metadata:
      name: couchbase
    spec:
      resources:
        requests:
          storage: 10Gi
